#ifndef TEST_TABLE_H_
#define TEST_TABLE_H_

#include "precompiled.h"

class DateTime
{
  public:

    std::string datetime_;

    static const char* format_;  // yyyy.MM.dd-hh:mm:ss

    static const char* format()
    {
        return format_;
    }

    DateTime() {}

    virtual ~DateTime() {}

    const std::string& toString() const
    {
        return datetime_;
    }

    void fromString(const std::string& str)
    {
        datetime_ = str;
    }
};
QX_REGISTER_HPP_TEST(DateTime, qx::trait::no_base_class_defined, 0);
//QX_REGISTER_TRAIT_GET_SQL_TYPE(DateTime, "DATETIME");

class QX_DLL_EXPORT TestTable
{
  public:

    //QString id_;
    std::string id_;

    DateTime updateTime_;

    static int square(int i);

    virtual ~TestTable() {}  // required for compilation

    DateTime getUpdateTime() const;

    std::string concat(const std::string& sep, const char *str);
};

//class testTable : public TestTable {};
//typedef TestTable testTable;

//QX_REGISTER_PRIMARY_KEY(testTable, QString);
QX_REGISTER_PRIMARY_KEY(TestTable, std::string);
QX_REGISTER_HPP_TEST(TestTable, qx::trait::no_base_class_defined, 0)

typedef boost::shared_ptr<TestTable> TestTablePtr;
//typedef QList<testTablePtr> listTestTable;
typedef std::vector<TestTablePtr> listTestTable;

#endif
